Bug 375981 - build error: conflicting types for 'XF86DGAGetVideoLL'
build error: conflicting types for 'XF86DGAGetVideoLL'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libXxf86dga (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 418441
  Show dependency treegraph
 
Reported: 2007-11-11 09:26 EST by Zhan, Yi
Modified: 2014-06-18 05:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:25:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhan, Yi 2007-11-11 09:26:21 EST
Description of problem:

When rebuilding from the srpm, we encounter an error about conflicting types for
'XF86DGAGetVideoLL', one located at XF86DGA.c:105 and the other at
/usr/include/X11/extensions/xf86dga1.h:64. I build the package on both i386 and
IA-64 platforms, and the encounter the same error. So I image that it's not a
platform specified bug. 

Version-Release number of selected component (if applicable):
libXxf86dga-1.0.1-4.fc8.src.rpm

How reproducible:
100%

Steps to Reproduce:
1. rpmbuild --rebuild libXxf86dga-1.0.1-4.fc8.src.rpm
2.
3.
  
Actual results:

+ make
Making all in src
make[1]: Entering directory `/usr/src/redhat/BUILD/libXxf86dga-1.0.1/src'
make  all-am
make[2]: Entering directory `/usr/src/redhat/BUILD/libXxf86dga-1.0.1/src'
if /bin/sh ../libtool --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I.  
  -D\
MALLOC_0_RETURNS_NULL -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstac\
k-protector --param=ssp-buffer-size=4 -MT XF86DGA.lo -MD -MP -MF
".deps/XF86DGA.Tpo"\
 -c -o XF86DGA.lo XF86DGA.c; \
    then mv -f ".deps/XF86DGA.Tpo" ".deps/XF86DGA.Plo"; else rm -f
".deps/XF86DGA.Tp\
o"; exit 1; fi
mkdir .libs
 gcc -DHAVE_CONFIG_H -I. -I. -I. -DMALLOC_0_RETURNS_NULL -O2 -g -pipe -Wall
-Wp,-D_F\
ORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -MT
XF86DGA\
.lo -MD -MP -MF .deps/XF86DGA.Tpo -c XF86DGA.c  -fPIC -DPIC -o .libs/XF86DGA.o
XF86DGA.c:105: error: conflicting types for 'XF86DGAGetVideoLL'
/usr/include/X11/extensions/xf86dga1.h:64: error: previous declaration of
'XF86DGAGe\
tVideoLL' was here
make[2]: *** [XF86DGA.lo] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/libXxf86dga-1.0.1/src'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/usr/src/redhat/BUILD/libXxf86dga-1.0.1/src'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.28098 (%build)


Expected results:


Additional info:
Comment 1 Bug Zapper 2008-05-13 23:52:25 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 19:10:05 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 12:25:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.